import 'package:cims_apps/application/assets/path_assets.dart';
import 'package:cims_apps/application/component/button/button_view.dart';
import 'package:cims_apps/application/component/image/image_view.dart';
import 'package:cims_apps/application/component/text_caption/text_caption.dart';
import 'package:cims_apps/core/route/route.dart';
import 'package:cims_apps/features/bottom_navigation_view.dart';
import 'package:flutter/material.dart';

class RegistrationSuccessView extends StatelessWidget {
  const RegistrationSuccessView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        padding: const EdgeInsets.all(24.0),
        child: Column(
          children: [
            const ImageView(image: PathAssets.imgFinish),
            const TextCaption(
              crossAxisAlignment: CrossAxisAlignment.center,
              textAlignSubtitle: TextAlign.center,
              title: 'Registration Successful!',
              subtitle:
                  'Please wait for the data verification process so that you can start investing.',
            ),
            const Spacer(),
            ButtonView(
              name: 'Next',
              marginVertical: 0.0,
              onPressed: () {
                routePush(
                  context,
                  page: const BottomNavigationView(),
                  routeType: RouteType.pushReplace,
                );
              },
            )
          ],
        ),
      ),
    );
  }
}
